Signature (cglib (Version 2.2.2))
Date: 2019-12-26

net.sf.cglib.core

## Class Signature

- java.lang.Object
- - net.sf.cglib.core.Signature

-     public class Signature
      extends java.lang.Object

  A representation of a method signature, containing the method name, return type, and parameter types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Signature(java.lang.String name, java.lang.String desc)`
    `Signature(java.lang.String name, org.objectweb.asm.Type returnType, org.objectweb.asm.Type[] argumentTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `org.objectweb.asm.Type[]` | `getArgumentTypes()`
    `java.lang.String` | `getDescriptor()`
    `java.lang.String` | `getName()`
    `org.objectweb.asm.Type` | `getReturnType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Signature

          public Signature(java.lang.String name,
                           java.lang.String desc)

    - #### Signature

          public Signature(java.lang.String name,
                           org.objectweb.asm.Type returnType,
                           org.objectweb.asm.Type[] argumentTypes)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getDescriptor

          public java.lang.String getDescriptor()

    - #### getReturnType

          public org.objectweb.asm.Type getReturnType()

    - #### getArgumentTypes

          public org.objectweb.asm.Type[] getArgumentTypes()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation